Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class DistancesBlock

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
          org.biojavax.bio.phylo.io.nexus.DistancesBlock

All Implemented Interfaces:
  NexusBlock, NexusObject

    public class DistancesBlock

extends NexusBlock.Abstract

Represents Nexus distances blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlock
`NexusBlock.Abstract`

Field Summary
`static String` | `DISTANCES_BLOCK` A constant representing the name of Distances blocks.

Constructor Summary
`DistancesBlock()` Delegates to NexusBlock.Abstract constructor using DistancesBlock.DISTANCES_BLOCK as the name.

Method Summary
`void` | `addComment(NexusComment comment)` Adds a comment.
`void` | `addMatrixEntry(String taxa)`
`void` | `addTaxLabel(String taxLabel)` Add a TAXLABEL.
`void` | `appendMatrixData(String taxa, Object data)`
`boolean` | `containsTaxLabel(String taxLabel)` Checks to see if we contain the given TAXLABEL.
`List` | `getComments()` Returns all comments.
`int` | `getDimensionsNChar()` Get the NCHAR value.
`int` | `getDimensionsNTax()` Get the NTAX value.
`List` | `getMatrixData(String taxa)`
`Collection` | `getMatrixLabels()`
`String` | `getMissing()`
`List` | `getTaxLabels()` Get the TAXLABEL values added so far.
`boolean` | `isDiagonal()`
`boolean` | `isInterleaved()`
`boolean` | `isLabels()`
`void` | `removeComment(NexusComment comment)` Removes a comment.
`void` | `removeTaxLabel(String taxLabel)` Removes the given TAXLABEL.
`void` | `setDiagonal(boolean diagonal)`
`void` | `setDimensionsNChar(int dimensionsNChar)` Set the NCHAR value.
`void` | `setDimensionsNTax(int dimensionsNTax)` Set the NTAX value.
`void` | `setInterleaved(boolean interleaved)`
`void` | `setLabels(boolean labels)`
`void` | `setMissing(String missing)`
`void` | `setTriangle(String triangle)`
`protected void` | `writeBlockContents(Writer writer)` Implement this to write out block contents, not including the BEGIN and END tags.

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
`getBlockName, writeObject, writeToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISTANCES_BLOCK

    public static final String DISTANCES_BLOCK

  A constant representing the name of Distances blocks.

  See Also:
    Constant Field Values

Constructor Detail

### DistancesBlock

    public DistancesBlock()

  Delegates to NexusBlock.Abstract constructor using DistancesBlock.DISTANCES_BLOCK as the name.

Method Detail

### setDimensionsNTax

    public void setDimensionsNTax(int dimensionsNTax)

  Set the NTAX value.

  Parameters:
    `dimensionsNTax` - the NTAX value.

### getDimensionsNTax

    public int getDimensionsNTax()

  Get the NTAX value.

  Returns:
    the NTAX value.

### setDimensionsNChar

    public void setDimensionsNChar(int dimensionsNChar)

  Set the NCHAR value.

  Parameters:
    `dimensionsNChar` - the NCHAR value.

### getDimensionsNChar

    public int getDimensionsNChar()

  Get the NCHAR value.

  Returns:
    the NCHAR value.

### setTriangle

    public void setTriangle(String triangle)

### setDiagonal

    public void setDiagonal(boolean diagonal)

### isDiagonal

    public boolean isDiagonal()

### setLabels

    public void setLabels(boolean labels)

### isLabels

    public boolean isLabels()

### setMissing

    public void setMissing(String missing)

### getMissing

    public String getMissing()

### setInterleaved

    public void setInterleaved(boolean interleaved)

### isInterleaved

    public boolean isInterleaved()

### addTaxLabel

    public void addTaxLabel(String taxLabel)
                     throws ParseException

  Add a TAXLABEL. If it already exists, or is a number that refers to an index position that already exists, an exception is thrown.

  Parameters:
    `taxLabel` - the label to add.
  Throws:
    `ParseException` - if the label cannot be added.

### removeTaxLabel

    public void removeTaxLabel(String taxLabel)

  Removes the given TAXLABEL.

  Parameters:
    `taxLabel` - the label to remove.

### containsTaxLabel

    public boolean containsTaxLabel(String taxLabel)

  Checks to see if we contain the given TAXLABEL.

  Parameters:
    `taxLabel` - the label to check for.
  Returns:
    `true` if we already contain it.

### getTaxLabels

    public List getTaxLabels()

  Get the TAXLABEL values added so far.

  Returns:
    this labels so far.

### addMatrixEntry

    public void addMatrixEntry(String taxa)

### appendMatrixData

    public void appendMatrixData(String taxa,
                                 Object data)

### getMatrixData

    public List getMatrixData(String taxa)

### getMatrixLabels

    public Collection getMatrixLabels()

### addComment

    public void addComment(NexusComment comment)

  Adds a comment.

  Parameters:
    `comment` - the comment to add.

### removeComment

    public void removeComment(NexusComment comment)

  Removes a comment.

  Parameters:
    `comment` - the comment to remove.

### getComments

    public List getComments()

  Returns all comments.

  Returns:
    all the selected comments.

### writeBlockContents

    protected void writeBlockContents(Writer writer)
                               throws IOException

  Description copied from class: `NexusBlock.Abstract`
  Implement this to write out block contents, not including the BEGIN and END tags.

  Specified by:
    `writeBlockContents` in class `NexusBlock.Abstract`
  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if writing failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD